# 基础镜像
FROM  openjdk:8-jre
# author
MAINTAINER vctgo

# 设置时区
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo 'Asia/Shanghai' > /etc/timezone

# 挂载目录
VOLUME /home/vctgo
# 创建目录
RUN mkdir -p /home/vctgo
# 指定路径
WORKDIR /home/vctgo
# 复制jar文件到路径
COPY ./jar/jnrz-book.jar /home/vctgo/jnrz-book.jar
# 启动系统服务
ENTRYPOINT ["java","-jar","jnrz-book.jar"]
